tape(1)

NAME
tape - tap-producing test harness for node and browsers

SYNOPSIS
tape [-r module] [file] [file ...]

DESCRIPTION
tape is a tap-producing test harness for node and browsers requiring only a few line of code. It can be used for unit and integration testing. tape will execute test described by file option. File are interpreted using glob module by default. You may therefore need to quote file in order to avoid globbing by shell. Tests are written in pure javascript, so tests could be run using Node.js.

OPTIONS

-r, - -require
    load one or more modules before running any tests. Please note that all modules loaded using the -r flag will run before any tests, regardless of when they are specified. For example, tape -r a b -r c will actually load a and c before loading b, since they are flagged as required modules.

EXAMPLES
tape 'tests/**/*.js'
tape -r './my/local/module' 'tests/**/*.js'
tape -r 'babel-register' 'tests/**/*.js'

SEE ALSO
tap(1), nodejs(1), glob(7)